[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoGetDockCaption

Returns the dock caption in AControl.

## Declaration

Source position: controls.pp line 2254

`protected procedure TWinControl.DoGetDockCaption(`
`AControl: TControl;`
`var ACaption: string`
`); virtual;`

## Arguments

`AControl` |  | The control whose dock caption string is requested.
`ACaption` |  | The dock caption to use.

## Description

Asks the control for its default dock caption, then allows the OnGetDockCaption handler to adjust the string value.

## See also

TWinControl.GetDockCaption |  | Returns the docking caption for the specified control.
TWinControl.OnGetDockCaption |  | This handler can provide a special DockCaption, different than the Caption default.